function [cmin cmax] = get_caxis(vector)

min_data = min(min(vector));
max_data = max(max(vector));

if(min_data < 0)
    if(max_data < 0)
        cmin = min_data;
        cmax = -min_data;
    else
        cmin = -(max(-min_data,max_data));
        cmax = -cmin;
    end;
else
    cmin = -max_data;
    cmax = max_data;
end;